Org settings, dashboards & reporting
Get Client Admin Summary
Groups roles by type and sums grant, warrant and investment tokens granted, vested, settled and cancelled.
GEThttps://api.toku.com/tga/get-client-admin-summary
Required scope: reports:read
curl --request GET \
--url 'https://api.toku.com/tga/get-client-admin-summary' \
--header 'Authorization: Bearer <token>'200 response
{
"tableData": [
{
"tokenLabel": "string",
"isFiat": true,
"tokenTypeID": "string",
"network": "string",
"type": "string",
"roleCount": 0,
"totalNumberOfGrants": 0,
"totalTokens": "string",
"tokensVested": "string",
"tokensSettled": "string",
"tokensCancelled": "string"
}
],
"shouldShowTokensCancelled": true
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Response
200Successful response
tableDataobject[]requiredShow child attributes
tokenLabelstringisFiatbooleantokenTypeIDstring | nullnetworkstring | nulltypestringrequiredroleCountintegerrequiredtotalNumberOfGrantsintegerrequiredtotalTokensstringrequiredAllowed: matches ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
tokensVestedstringrequiredAllowed: matches ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
tokensSettledstringrequiredAllowed: matches ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
tokensCancelledstringAllowed: matches ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
shouldShowTokensCancelledboolean400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits